--big-title,
h1 {
  font-family: $rubik;
  font-size: 60px;
  line-height: 64px;
  font-weight: 800;
  margin: 16px 0;
  color: $cgn-dark;
  @include breakpoint(large down) {
    font-size: 50px;
    line-height: 54px;
  }
  @include breakpoint(medium down) {
    font-size: 38px;
    line-height: 40px;
  }
}

--title,
h2 {
  font-family: $rubik;
  font-size: 48px;
  line-height: 50px;
  font-weight: 800;
  margin: 16px 0;
  color: $cgn-dark;
  @include breakpoint(large down) {
    font-size: 38px;
    line-height: 40px;
  }
  @include breakpoint(medium down) {
    font-size: 34px;
    line-height: 36px;
  }
}

--small-title,
h3 {
  font-family: $rubik;
  font-size: 34px;
  line-height: 36px;
  font-weight: 800;
  margin: 16px 0;
  color: $cgn-dark;
  @include breakpoint(medium down) {
    font-size: 28px;
    line-height: 32px;
  }
  &.smaller {
    font-size: 24px;
    line-height: 28px;
  }
}

--subtitle {
  font-family: $rubik;
  font-size: 16px;
  line-height: 24px;
  font-weight: 600;
  margin: 8px 0;
  color: $cgn-dark;
}

--p,
.p {
  font-family: $rubik;
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
  margin: 8px 0;
  color: $cgn-dark;
}

--card-title {
  font-family: $rubik;
  font-size: 20px;
  line-height: 24px;
  font-weight: 600;
  margin: 8px 0;
  color: $cgn-dark;
}

--card-abstract {
  font-family: $rubik;
  font-size: 14px;
  line-height: 22px;
  font-weight: 400;
  margin: 8px 0;
  color: $cgn-dark;
}

--span,
span,
.span {
  font-family: $rubik;
  font-size: 14px;
  line-height: 22px;
  font-weight: 400;
  color: $cgn-dark;
  @include breakpoint(medium down) {
    font-size: 12px;
    line-height: 14px;
  }
}

--overline {
  font-family: $rubik;
  font-size: 10px;
  line-height: 10px;
  font-weight: 400;
  margin: 8px 0;
  color: $cgn-dark;
}

--link-button {
  padding: 16px 48px;
  border: 1px solid #3d5560;
  font-size: 14px;
  line-height: 17px;
  font-weight: 800;
  margin: 16px 0;
  display: inline-block;
  color: $cgn-dark;
  transition: 0.3s;
  &:hover {
    background: $cgn-dark;
    color: $white;
  }
}
--tag,
--chips,
.chips {
  font-family: $rubik;
  font-size: 14px;
  line-height: 17px;
  font-weight: 600;
  color: $white;
  background: $cgn-blue;
  display: inline-block;
  padding: 8px 16px;
  margin-bottom: 8px;
  margin-right: 8px;
  min-width: 96px;
  width: auto;
  height: 35px;
  border-radius: 30px;
  text-align: center;
  &.icon {
    position: relative;
    padding-right: 32px;
    transition: 0.3s ease-in;
    cursor: pointer;
    &::after {
      content: '';
      position: absolute;
      right: 0;
      top: 0;
      bottom: 3px;
      margin: auto;
      width: 32px;
      height: 32px;
      background: url('../../img/add-tag.svg');
    }
    &.active {
      &::after {
        content: '';
        transform: rotate(45deg);
      }
    }
  }
}

--menu-nav,
.menu-nav {
  font-family: $rubik;
  font-size: 16px;
  line-height: 19px;
  font-weight: 400;
  text-transform: uppercase;
  color: $cgn-grey;
}
